Bug 11576 - make test fails on FC22, krb5_init_context failed (Invalid argument)
make test fails on FC22, krb5_init_context failed (Invalid argument)
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Test infrastructure
4.3.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 09:25 UTC by Uri Simchoni
Modified: 2015-10-29 08:42 UTC (History)
2 users (show)

See Also:


Attachments
The conf file that generates the error (/etc/krb5.conf.d is empty) (525 bytes, text/plain)
2015-10-27 09:25 UTC, Uri Simchoni
no flags Details
git-am patch for 4.3.x (7.25 KB, patch)
2015-10-27 11:23 UTC, Uri Simchoni
asn: review+
Details
git-am fix for 4.2.x (5.35 KB, patch)
2015-10-27 11:29 UTC, Uri Simchoni
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uri Simchoni 2015-10-27 09:25:50 UTC
Created attachment 11537 [details]
The conf file that generates the error (/etc/krb5.conf.d is empty)

On an up-to-date Fedora 22 system, make test fails in various tests or while provisioning test envs, always with the message:

krb5_init_context failed (Invalid argument)

This happens because some tests look at the system krb5.conf (/etc/krb5.conf), and this file is rejected by the Heimdal libraries embedded in samba.
Comment 1 Uri Simchoni 2015-10-27 11:23:09 UTC
Created attachment 11540 [details]
git-am patch for 4.3.x
Comment 2 Uri Simchoni 2015-10-27 11:29:14 UTC
Created attachment 11541 [details]
git-am fix for 4.2.x
Comment 3 Andreas Schneider 2015-10-27 12:35:06 UTC
Comment on attachment 11541 [details]
git-am fix for 4.2.x

LGTM
Comment 4 Andreas Schneider 2015-10-27 12:35:41 UTC
Karolin, please add the patches to the relevant branches. Thanks!
Comment 5 Karolin Seeger 2015-10-28 09:55:33 UTC
(In reply to Andreas Schneider from comment #4)
Pushed to autobuild-v4-[3|2]-test.
Comment 6 Karolin Seeger 2015-10-29 08:42:37 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!